﻿#region Copyright Syncfusion Inc. 2001 - 2012
// Copyright Syncfusion Inc. 2001 - 2012. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System.Windows.Controls;
using System.Linq;
using Syncfusion.Windows.Controls.Theming;
using System.Windows;
using Syncfusion.Windows.Tools.Controls;
using System.Collections.Generic;
using System.Windows.Input;
using Syncfusion.Windows.Controls.Scroll;
using System;
using Syncfusion.Windows.Controls.Grid;
using Syncfusion.Windows;
using Syncfusion.Linq;
using Syncfusion.Windows.Data;
using Syncfusion.Windows.Controls.Spreadsheet.Commands;
using Syncfusion.Windows.Controls.Spreadsheet;
using System.IO;
using Syncfusion.XlsIO;
using Syncfusion.Windows.Shared;

namespace SpreadsheetDemo
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            this.spreadsheetControl.WorkBookLoaded += new WorkbookLoadedEventHandler(spreadsheetControl_WorkBookLoaded);
            this.spreadsheetControl.WorkSheetAdded += spreadsheetControl_WorkSheetAdded;
            this.spreadsheetControl.Loaded += spreadsheetControl_Loaded;
        }

        void spreadsheetControl_Loaded(object sender, RoutedEventArgs e)
        {
            var fileStream = Application.GetResourceStream(new Uri("SpreadsheetDemo;component/Data/DefaultSheet.xlsx", UriKind.Relative)).Stream;
            this.spreadsheetControl.ImportFromExcel(fileStream);
            fileStream.Close();
        }

        void spreadsheetControl_WorkSheetAdded(object sender, WorkSheetAddedEventArgs args)
        {
            this.spreadsheetControl.GridProperties.ActiveSpreadsheetGrid.Model.CommandStack.Enabled = true;
        }

        
        void spreadsheetControl_WorkBookLoaded(object sender, WorkbookLoadedEventArgs args)
        {
            foreach (var grid in args.GridCollection)
            {
                grid.Model.CommandStack.Enabled = true;
            }
            
        }

    }

}